<template>
  <button
    role="button"
    :disabled="disabled"
    :class="[
      btnClass,
      disabled ? 'bg-grey-20 pointer-events-none' : 'bg-black',
    ]"
    class="flex justify-center items-center px-8 border-0 rounded-3xl border-grey-20 focus:outline-none active:outline-none font-primary-font-light focus:ring cursor-pointer mx-auto hover:bg-grey-40 bg-black text-white"
    @click="!loading ? $emit('click') : ''"
  >
    <svg
      :class="[!loading ? 'hidden' : 'block']"
      class="w-5 h-5 text-white animate-spin"
      xmlns="http://www.w3.org/2000/svg"
      fill="none"
      viewBox="0 0 24 24"
    >
      <circle
        class="opacity-25"
        cx="12"
        cy="12"
        r="10"
        stroke="currentColor"
        stroke-width="4"
      ></circle>
      <path
        class="opacity-75"
        fill="currentColor"
        d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
      ></path>
    </svg>
    <span :class="[loading ? 'hidden' : 'block']">{{ buttonTitle }}</span>
  </button>
</template>
<script>
export default {
  name: 'MkPrimaryButton',
  props: {
    buttonTitle: {
      type: String,
      default: '',
    },
    loading: {
      type: Boolean,
      default: false,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
    btnClass: {
      type: String,
      default: 'leading-19 h-10 py-3 min-w-150',
    },
  },
  data() {
    return {}
  },
  methods: {},
}
</script>
